# vim: set ft=spec: -*- rpm-spec -*-
%define monolibdir		%_libdir/mono/lib
%define monobindir		%_libdir/mono/bin
%define monomandir		%_libdir/mono/man

Name:     	mono
Version: 	0.31
Release: alt1
Copyright:	LGPL
URL:		http://www.go-mono.com
Source0:	mono-%version.tar.gz
Source1:	README.ALT
Summary: The mono CIL runtime, suitable for running .NET code
Summary(ru_RU.KOI8-R): Mono - open source   .NET 
Group:		System/Base 
Requires:	mcs,libxml2,libxslt

# Automatically added by buildreq on Mon Feb 09 2004
BuildRequires: gcc-c++ glib2-devel glibc-devel-static pkgconfig valgrind-devel

%description
The Mono runtime implements a JIT engine for the ECMA CLI virtual machine (as
well as a byte code interpreter, the class loader, the garbage collector, threading system and
metadata access libraries.

%description -l ru_RU.KOI8-R
Mono - open source   .NET,
 JIT-compile    
ECMA CLI  . 
   ECMA CLI .
          
%package devel		
Summary: Files and programs needed for mono development
Summary(ru_RU.KOI8-R):	 ,     Mono 
Group:		System/Base
PreReq: %name = %version-%release

%description devel
Header files, programs and documentation needed to develop programs with
the Mono .NET implementation

%description devel -l ru_RU.KOI8-R
 ,      
   Mono .NET .

%prep
%setup  -q -n mono-%version

%build
./configure --prefix=/usr --bindir=%monobindir --libdir=%monolibdir --mandir=%monomandir --sysconfdir=/etc --with-sigaltstack=no
%make

%install
make DESTDIR=%buildroot install

#__cat %buildroot%_bindir/ilasm | sed -re "s|ilasm|mono_ilasm|" > %buildroot%_bindir/mono_ilasm
#__chmod 755 %buildroot%_bindir/mono_ilasm
#__rm %buildroot%_bindir/ilasm
#%__cat  %buildroot%_man1dir/ilasm.1 | sed -re "s|ilasm|mono_ilasm|" > %buildroot%_man1dir/mono_ilasm.1
#%__rm  %buildroot%_man1dir/ilasm.1

%__cp -p %SOURCE1 .

%__rm -f %buildroot%monolibdir/*.dll
%__rm -f %buildroot%monolibdir/libgdiplus.dll.so

(cd $RPM_BUILD_ROOT
    find . -type f -print0 |xargs -0 %__subst s@$RPM_BUILD_ROOT@@g
)

#find %buildroot%_bindir/. -type f -print0 | xargs -0 %__subst "s|/usr/bin/mono /usr/bin/\(.*\)\.exe|/usr/bin/mono /usr/lib/mono/bin/\\1\.exe|"

%__mv %buildroot%monolibdir/pkgconfig %buildroot%_libdir/

#links 
for liba in libmint.a libmint.so.0.0.0 libmono-profiler-cov.so libmono.so libmint.so libmono.a libmono-profiler-cov.so.0 libmono.so.0 libmint.so.0 libmono-profiler-cov.a libmono-profiler-cov.so.0.0.0 libmono.so.0.0.0; do
	ln -s mono/lib/$liba %buildroot%_libdir/$liba
done

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING.LIB ChangeLog NEWS README README.ALT
%monobindir/*
%monolibdir/*.so.*
%_libdir/*.so.*
/etc/mono/config
/etc/mono/machine.config
/etc/mono/DefaultWsdlHelpGenerator.aspx
/etc/mono/browscap.ini
%monomandir/*
/usr/share/mono/cil/cil-opcodes.xml
 
%exclude %monobindir/*.exe

%files devel
%monolibdir/*.a
%_libdir/*.a
%monolibdir/*.so
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*

%changelog
* Mon Apr  5 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.31-alt1
- 0.31 version

* Thu Mar  4 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30.2-alt1
- updated to 0.30.2

* Thu Feb 26 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30.1-alt2
- posix description added

* Thu Feb 19 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30.1-alt1
- updated 0.30

* Tue Feb 17 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30-alt3
- man moved into mono dir

* Thu Feb 12 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30-alt2
- man files rename added

* Wed Feb  4 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.30-alt1
- new version release

* Mon Dec 15 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.29-alt2
- buildreq check and DefaultWsdlHelpGenerator.aspx, allso adopted for fixed mcs 

* Fri Dec  5 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.29-alt1
- new release of mono

* Fri Nov 28 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.28-alt2
- fixed problem with pnet

* Tue Oct  7 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.28-alt1
- new version 0.28-alt1

* Thu Sep 18 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.26-alt1
- Adopted for ALTLinux form original Ximian spec and mono-0.16

* Tue Nov 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.16-alt1
- Initial release for ALT

